Skip to main content
PATCH
Update price book

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

priceBookId
integer<int64>
required

The unique identifier of the price book to update.

Body

application/json
customProperties
object
required

An object containing custom properties for the price book, where each key is a property name and the value is a string.

description
object
required

An object representing the description of the price book to be updated.

name
object
required

An object representing the name of the price book to be updated.

supportedCurrencies
string[]

An array of strings representing the currencies supported by the price book.

Response

successful operation

autoAssignmentEnabled
boolean
required
countOfIncludedProducts
integer<int32>
required

The number of products included in this price book.

customProperties
object
required

A map of custom property names to their values for this price book.

id
string
required

The unique identifier for this price book.

status
enum<string>
required

The current status of the price book. Valid values include 'ACTIVE' and 'INACTIVE'.

Available options:
ACTIVE,
INACTIVE
supportedCurrencies
string[]
required

An array of currency codes that this price book supports.

archived
boolean

A boolean indicating whether this price book is archived.

archivedAt
string<date-time>

The date and time when this price book was archived.

createdAt
string<date-time>

The date and time when this price book was created.

description
string

A description of the price book.

name
string

The name of the price book.

updatedAt
string<date-time>

The date and time when this price book was last updated.

Last modified on July 20, 2026